Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.sql
Interface RowSetListener

All Superinterfaces:
  EventListener

public interface RowSetListener
extends EventListener

An interface that must be implemented by a component that wants to be notified when a significant event happens in the life of a `RowSet` object. A component becomes a listener by being registered with a `RowSet` object via the method `RowSet.addRowSetListener`. How a registered component implements this interface determines what it does when it is notified of an event.

Since:
  1.4

Method Summary
`void` | `cursorMoved(RowSetEvent event)` Notifies registered listeners that a `RowSet` object's cursor has moved.
`void` | `rowChanged(RowSetEvent event)` Notifies registered listeners that a `RowSet` object has had a change in one of its rows.
`void` | `rowSetChanged(RowSetEvent event)` Notifies registered listeners that a `RowSet` object in the given `RowSetEvent` object has changed its entire contents.

Method Detail

### rowSetChanged

    public void rowSetChanged(RowSetEvent event)

  Notifies registered listeners that a `RowSet` object in the given `RowSetEvent` object has changed its entire contents.

  The source of the event can be retrieved with the method `event.getSource`.

  Parameters:
    `event` - a `RowSetEvent` object that contains the `RowSet` object that is the source of the event

### rowChanged

    public void rowChanged(RowSetEvent event)

  Notifies registered listeners that a `RowSet` object has had a change in one of its rows.

  The source of the event can be retrieved with the method `event.getSource`.

  Parameters:
    `event` - a `RowSetEvent` object that contains the `RowSet` object that is the source of the event

### cursorMoved

    public void cursorMoved(RowSetEvent event)

  Notifies registered listeners that a `RowSet` object's cursor has moved.

  The source of the event can be retrieved with the method `event.getSource`.

  Parameters:
    `event` - a `RowSetEvent` object that contains the `RowSet` object that is the source of the event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.